Subject: RE: IDR WG charter

From: "Abarbanel, Benjamin" <[email-masked]>
Date: Wed, 4 Sep 2002 10:39:53 -0400

Andrew:
 According to my understanding the ADs are proposing rejecting any new
drafts that have significance acceptance by list members from becoming
a working group item. Not advancement to RFC status. E.G. INFORM spec.
That is what the issue at hand is.

Ben

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, September 03, 2002 9:12 PM
> To: Bill Fenner
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: IDR WG charter
> 
> 
> Bill,
> 
> Forgive me if I'm being dense, but for my clarification:  The proposed
> changes to the charter do not put a stop on all new work, or even
> new work items being adopted by the wg.  The new charter instead:
> 
>  - Prohibits advancement of a wg work item to RFC status before
>    the base spec is advanced to at least Draft Standard.
>  - Has the requirement that new wg items must have a spot on the
>    agenda, and must be approved by the routing area AD's.
> 
> So new internet drafts could be adopted as wg items, with wg consensus
> and AD approval, but could not advance to RFC status before the base
> bgp spec.
> 
> That would make sense to me, especially for standards-track 
> extentions,
> since extentions require a stable, well-defined base to extend.
> 
> Andrew
> 
> On Tue, Sep 03, 2002 at 05:34:21PM -0700, Bill Fenner wrote:
> > Delivered-To: [email-masked]
> > Delivered-To: [email-masked]
> > Delivered-To: [email-masked]
> > From: Bill Fenner <[email-masked]>
> > To: [email-masked]
> > Subject: RE: IDR WG charter
> > Cc: [email-masked]
> > Date: Tue, 3 Sep 2002 17:34:21 -0700
> > Versions: dmail (solaris) 2.5a/makemail 2.9d
> > Precedence: bulk
> > X-OriginalArrivalTime: 04 Sep 2002 00:36:26.0062 (UTC) 
> FILETIME=[1A0196E0:01C253AB]
> > 
> > 
> > > In those terms, I'd reject until we can understand better about
> > > what we are trying to do with the charter, and how to handle it.
> > 
> > The current charter, with the specific tasks listed and the 
> statement
> > that no other work can be taken on without a charter 
> update, was agreed
> > upon between the WG and the previous ADs.  I suppose the discussion
> > thinking that this stuff is new shows how much attention most people
> > normally pay to the charter?...
> > 
> >   Bill
>

---

From: Alex Zinin <[email-masked]>
Date: Wed, 4 Sep 2002 17:05:08 +0200

Ben, Andrew

Wednesday, September 04, 2002, 4:39:53 PM, Abarbanel, Benjamin wrote:
> a working group item.

I think you're misinterpreting. Please read on.

>  Not advancement to RFC status. E.G. INFORM spec.

 There's two pieces here:
 
  1) Sorting out the existing work load. Here we would like to see the
     base spec finished by the WG and approved by the IESG (i.e., all
     review cycles completed) before other items are progressed.

  2) Taking on new work. This is more long term. Here, acceptance
     of an ID as a WG item requires a related work item in the charter.
     If no such item exists, the charter needs to be updated. This
     normally triggers negotiation with the ADs and the IESG and review
     of the WG progress. Given point 1) above, a work item would really
     have to be urgent and of high priority for us to be able to explain
     why we're adding more stuff when we're not yet finished with the
     main objective. [*]

 So, I think Andrew is closer to the truth in his assessment.
     
-- 
Alex

[*] I often have to explain people what "it is outside of the charter"
    means. The first thing you should do when you hear this is think
    or ask whether the charter can be extended. If they answer is no,
    then it generally does not mean that you're not welcome to the WG
    with this topic (in fact, the IESG will most probably force a doc
    to go to a proto-specific WG to avoid an end-run), but it is just
    not yet time for the WG to spend cycles on this. Now, it does not
    mean that you should go away and do something proprietary or drop
    the idea. My suggestion is despite the fact that it is not yet time
    in the WG, still follow the IETF process--talk to the WG chairs and
    active folks about who would be interested in the topic, work towards
    the consensus and work on the document, so that when the WG is
    ready to take on this work, part of the way is gone already.